=== debian/changelog ===
barbican (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Correctly rm api_audit_map.conf before /etc/barbican on purge.
    (Closes: #905501)

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 11:43:53 +0200

barbican (1:7.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist WhenTestingKMIPSecretStore.test_credential() that looks broken.
  * d/rules: rm -rf $(CURDIR)/debian/tmp/usr/etc.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 09:10:00 +0200

barbican (1:6.0.0-5) unstable; urgency=medium

  * Remove api-paste.ini patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jun 2018 17:41:52 +0200

barbican (1:6.0.0-4) unstable; urgency=medium

  * Nicer daemon desc.
  * Switch api to uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jun 2018 11:16:48 +0200

barbican (1:6.0.0-3) unstable; urgency=medium

  * debconf edits keystone_authtoken in barbican.conf, not in the
    apt-paste.conf (Closes: #894171).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Mar 2018 06:46:10 +0000

barbican (1:6.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:18:23 +0000

barbican (1:6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Generate policy.json using --format json.
  * Switch to openstack-pkg-tools >= 70~:
    - removed embedded debconf templates, merging at build time the ones from
      openstack-pkg-tools.
  * barbican now use the standard keystone_authtoken section instead of
    the legacy filter:authtoken: maint scripts follow.
  * Add barbican-common.{pre,post}rm to clean the db correctly on purge.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Mar 2018 22:01:08 +0000

barbican (1:6.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 10:03:16 +0000

barbican (1:6.0.0~rc1-1) experimental; urgency=medium

  [ David Rabel ]
  * Remove unused repair-broken-migration-scripts.patch

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to Python 3.
  * Standards-Version is now 4.1.3.
  * Fixed copyright holders list and years.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 15:18:16 +0000

barbican (1:5.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use dh_missing --fail-missing

  [ Thomas Goirand ]
  * rm -f /etc/barbican/api_audit_map.conf on purge (Closes: #886928).
  * Add ru.po debconf templates translation (Closes: #883461).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jan 2018 11:38:22 +0100

barbican (1:5.0.0-3) unstable; urgency=medium

  * Team upload.
  * Fix short description of barbican-api (Closes: #881499)
  * Update Dutch translation of debconf messages (Closes: #881766)
  * d/control: Remove duplicate B-D on python-openstackdocstheme
  * d/control: Add lsb-base to depends for init scripts

 -- Ondřej Nový <onovy@debian.org>  Sat, 18 Nov 2017 17:08:58 +0100

barbican (1:5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added missing build-depends: python-pep8 (Closes: #880225).
  * Updated fr.po (Closes: #876311).
  * Uploading to unstable (Closes: #871173).
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 22:07:32 +0000

barbican (1:5.0.0-1) experimental; urgency=medium

  * Add patch for requirements.txt to avoid FTBFS in Jessie.
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Fixed (build-)depends for this release.
  * Updated VCS URLs.
  * Fixed Maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Standards-Version is now 4.1.1.
  * Minor debian/rules clean-ups.
  * Generating config files with oslo binaries.
  * Removed, refreshed and rebased patches.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 02:00:11 +0200
