## barbican 8.0.0~rc1

=== debian/changelog ===
barbican (1:8.0.0~rc1-2) experimental; urgency=medium

  * Using config generators without the python3- prefixes.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 15:18:43 +0100

barbican (1:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed all dependency versions, satisfied in Buster.
  * Add python3-oslo.upgradecheck.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 14:57:13 +0100
