=== debian/control ===
--- 
+++ 
@@ -7,66 +7,67 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 96~),
  po-debconf,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2) <!nodoc>,
+ python3-sphinx <!nodoc>,
 Build-Depends-Indep:
- alembic (>= 0.8.10),
+ alembic,
  bandit,
  python3-babel,
- python3-castellan (>= 0.17),
+ python3-castellan,
  python3-cffi,
  python3-coverage,
- python3-cryptography (>= 2.1),
+ python3-cryptography,
  python3-dateutil,
  python3-ddt <!nocheck>,
  python3-eventlet,
  python3-falcon,
  python3-fixtures,
  python3-hacking <!nocheck>,
- python3-jsonschema (>= 2.6.0),
- python3-keystoneclient (>= 1:3.8.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-ldap3 (>= 1.0.2),
+ python3-jsonschema,
+ python3-keystoneclient,
+ python3-keystonemiddleware,
+ python3-ldap3,
  python3-mock <!nocheck>,
- python3-openssl (>= 17.1.0),
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
- python3-os-api-ref (>= 1.4.0) <!nodoc>,
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
- python3-oslo.versionedobjects (>= 1.31.2),
- python3-oslotest (>= 1:3.2.0) <!nocheck>,
+ python3-openssl,
+ python3-openstackdocstheme <!nodoc>,
+ python3-os-api-ref <!nodoc>,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.middleware,
+ python3-oslo.policy,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
+ python3-oslo.versionedobjects,
+ python3-oslotest <!nocheck>,
  python3-paste,
  python3-pastedeploy,
  python3-pecan,
  python3-pep8 <!nocheck>,
  python3-pygments <!nocheck>,
- python3-pykmip (>= 0.7.0) <!nodoc>,
- python3-requests (>= 2.14.2),
+ python3-pykmip <!nodoc>,
+ python3-requests,
  python3-six,
  python3-sphinxcontrib.blockdiag <!nodoc>,
  python3-sphinxcontrib.httpdomain <!nodoc>,
  python3-sqlalchemy,
- python3-stestr (>= 2.0.0) <!nocheck>,
- python3-stevedore (>= 1.20.0),
- python3-tempest (>= 1:17.1.0) <!nocheck>,
- python3-testtools (>= 2.2.0),
- python3-webob (>= 1.7.1),
- python3-webtest (>= 2.0.27),
+ python3-stestr <!nocheck>,
+ python3-stevedore,
+ python3-tempest <!nocheck>,
+ python3-testtools,
+ python3-webob,
+ python3-webtest,
  subunit,
- tempest (>= 1:12.1.0) <!nocheck>,
+ tempest <!nocheck>,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/barbican
 Vcs-Git: https://salsa.debian.org/openstack-team/services/barbican.git
@@ -156,40 +157,41 @@
 Architecture: all
 Section: python
 Depends:
- alembic (>= 0.8.10),
+ alembic,
  python3-babel,
- python3-castellan (>= 0.17),
+ python3-castellan,
  python3-cffi,
- python3-cryptography (>= 2.1),
+ python3-cryptography,
  python3-dateutil,
  python3-eventlet,
  python3-falcon,
- python3-jsonschema (>= 2.6.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-ldap3 (>= 1.0.2),
- python3-openssl (>= 17.1.0),
- python3-oslo.concurrency (>= 3.5.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
- python3-oslo.versionedobjects (>= 1.31.2),
+ python3-jsonschema,
+ python3-keystonemiddleware,
+ python3-ldap3,
+ python3-openssl,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.middleware,
+ python3-oslo.policy,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
+ python3-oslo.versionedobjects,
  python3-paste,
  python3-pastedeploy,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-pecan,
  python3-pymysql,
  python3-six,
  python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
- python3-webob (>= 1.7.1),
+ python3-stevedore,
+ python3-webob,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Key Management Service - Python files
