=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 	# Generate the barbican.conf config using installed python-barbican files.
 	mkdir -p $(CURDIR)/debian/barbican-common/usr/share/barbican-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf \
 		--wrap-width 140 \
 		--namespace barbican.certificate.plugin \
@@ -62,7 +62,7 @@
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_authtoken barbican
 
 	# Same with policy.conf
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/policy.json \
 		--format json \
 		--namespace barbican
