## barbican 8.0.0

=== debian/changelog ===
barbican (1:8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:39:22 +0100

barbican (1:8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:54:00 +0000

barbican (1:8.0.0~b1~git2019031459.4c0ddda9-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/barbican-common.postinst: Change /etc/barbican to 0750 root:barbican.

  [ James Page ]
  * New upstream snapshot for OpenStack Stein.
  * Drop patches related to Vault AppRole and Mountpoint configuration,
    included upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2019 07:44:35 +0000

barbican (1:8.0.0~b1~git2019013003.ebf1567e-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/encode-b64payload.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:41:16 +0000

barbican (1:8.0.0~b1~git2018111615.503e9b90-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/watch: Scope to 8.x series.
  * d/control, d/rules, d/python(3)-barbican.*, d/tests/*: Drop Python 2
    support.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 15:09:40 -0500

barbican (1:7.0.0-0ubuntu4) disco; urgency=medium

  * d/tests/barbican-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:22:03 -0500

barbican (1:7.0.0-0ubuntu3) cosmic; urgency=medium

  * d/p/encode-b64payload.patch: Cherry-pick from upstream review
    (https://review.openstack.org/#/c/613324/) to ensure base64
    payloads are correctly encoded in Python 3 (LP: #1799746).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Oct 2018 09:48:28 -0400

barbican (1:7.0.0-0ubuntu2) cosmic; urgency=medium

  * d/p/0001-Enable-AppRole-authentication-support-for-Vault.patch:
    Add support for Vault AppRole authentication (LP: #1796851).
  * d/p/0002-Enable-KV-mountpoint-configuration-for-Vault.patch:
    Add support for configuration of the KV mountpoint to use in Vault
    (LP: #1797148).
  * d/control: Bump minimum python{3}-castellan version to 0.19.0-0ubuntu2~
    to pickup associated Vault fixes in lower layers.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Oct 2018 12:21:54 +0100

barbican (1:7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:47:12 -0400

barbican (1:7.0.0~rc1-0ubuntu3) cosmic; urgency=medium

  * d/barbican-api.apache2, d/barbican-common.apache2: Move back to barbican-api
    package where apache2 dependencies are installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 09:33:32 -0400

barbican (1:7.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/barbican-*: Move common files to barbican-common. Only have
      python(3)-barbican depend on barbican-common. Other packages that used to
      depend on barbican-common now depend on python-barbican | python3-barbican.
    - d/control: Drop python(3)-barbican conflicts on each other.
    - d/python(3)-barbican.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 11:38:24 -0400

barbican (1:7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/rules: Drop usr/etc from python{3}-barbican packages.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 17:49:29 +0100

barbican (1:7.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 10:32:22 -0400

barbican (1:7.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-barbican package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-barbican Depends.
    - d/control: Make python(3)-barbican conflict against each other.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-barbican.install: Drop, not needed.
    - d/barbican-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-barbican.post*, d/python(3)-barbican.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for barbican daemons and add shebang tests.
    - d/tests/barbican-daemons: Use curl to test API.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Jul 2018 11:32:30 -0400

barbican (1:7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Rebased.
  * d/rules: Run tests with stestr.
  * d/control: Set min BD version for python-pykmip dep to 0.8.0
    (https://storyboard.openstack.org/#!/story/2002559).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 12:44:12 -0400

barbican (1:7.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Rebased.
  * d/rules: Exclude usr/etc on dh_install.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/copyright: Use https URLs.

