=== debian/changelog ===
barbican (1:9.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 23:48:08 +0200

barbican (1:9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 16:53:11 +0200

barbican (1:9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 09:38:04 +0200

barbican (1:8.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 15:18:01 +0200

barbican (1:8.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyrights file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 19:02:42 +0200

barbican (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 08:51:35 +0200

barbican (1:8.0.0~rc1-3) experimental; urgency=medium

  * Bump castellan min version to 1.2.2 (Closes: #926287).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2019 23:07:51 +0200
